Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.servlets
Class AdClickThruServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.p13n.ad.servlets.AdClickThruServlet

All Implemented Interfaces
  AdConstants, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class AdClickThruServlet

extends javax.servlet.http.HttpServlet
implements AdConstants

This servlet tracks ad click thru events. It will create an AdClickThruEvent and then redirect to the target URL for the ad.

The URL for the click thru must contain two parameters:

- name -- the URL that will be redirected to.
- contPath -- the content manager path for the ad being displayed.

This servlet expects the AdService to be at java:comp/env/ejb/AdService and the AdBucketService to be at java:comp/env/ejb/AdBucketService.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.ad.AdConstants
`AD_EVENT_TRACKING, AD_RENDERING, AD_SERVICE_NAME, ADBUCKET_SERVICE_NAME, CONFLICT_RESOLVER_NAME, EVENT_SERVICE_NAME, GLOBAL_ADBUCKET_NAME`

Constructor Summary
`AdClickThruServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` The doGet handles two types of content depending upon the 'type' parameter to the URL.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdClickThruServlet

    public AdClickThruServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      IOException

  The doGet handles two types of content depending upon the 'type' parameter to the URL. If type='newwindow' then we create a new window and display the ad content there. Otherwise we do the ad click thru functionality.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters
    `request` - The HTTP request object
    `response` - the HTTP response object
  Throws
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.